<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h3>
                    <strong>Edit FAQ</strong>
                </h3>
            </div>
            <div class="ibox-content">
                <form [formGroup]="editForm" #f="ngForm" autocomplete="off" class="form-horizontal" (ngSubmit)="updateFAQ()">

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Question <i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder = "Question" formControlName="question" class="form-control">
                            <div class="error-msg" *ngIf="editForm.controls['question'].invalid && (editForm.controls['question'].dirty || editForm.controls['question'].touched || f.submitted)">
                                <div *ngIf="editForm.controls['question'].errors.required" >
                                    Question is required.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Answer
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <textarea type="text" placeholder = "Answer" rows="5" formControlName="answer" class="form-control"></textarea>
                            <div class="error-msg" *ngIf="editForm.controls['answer'].invalid && (editForm.controls['answer'].dirty || editForm.controls['answer'].touched)">
                                <div *ngIf="editForm.controls['answer'].errors.required" >
                                    Answer is required.
                                </div>
                            </div>
                        </div>
                    </div>


                    <div class="form-group">
                        <div class="col-sm-4 col-sm-offset-2">
                            <button class="btn btn-primary" type="submit">Save changes</button>
                            <button class="btn btn-white" type="button" [routerLink]="['/admin/administration/faq']">Cancel</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
